EDIT - feature request #7901

Make PreferencePredicates an interface to allow multiple implementations (e.g. for client apps, for
grouping, for data type specific instances, etc.)

11/12/2018 04:39 PM - Andreas Miiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:
Related to EDIT - bug #7849: Improve DB Preferences handling and saving in Ta... Closed

Associated revisions

Revision c47fd6c0 - 11/12/2018 04:48 PM - Andreas Miiller
ref #7901, ref #7902 Create IPreferencePredicate and include getDefaultValue

Revision ca8969f2 - 11/12/2018 04:49 PM - Andreas Miiller

ref #7901 implement IPreferencePredicate in CdmPreference and service layer

Revision 1b996cca - 11/19/2018 12:21 PM - Andreas Miiller

ref #7902, ref #7901 add generic to allow return types for defaultValue and to allow toString and fromString methods

Revision b5d00686 - 01/09/2019 02:37 PM - Katja Luther

ref #7901: cleaning PreferencePredicates

Revision d66d2ebd - 01/09/2019 02:42 PM - Katja Luther

ref #7901: adapt test to cleanup in PreferencePredicate

Revision 96615335 - 01/09/2019 03:06 PM - Katja Luther

ref #7901: adapt taxeditor to changes in PreferencePredicates

History

#1 - 11/12/2018 04:42 PM - Andreas Miiller
- Related to bug #7849: Improve DB Preferences handling and saving in TaxEditor added

#2 - 11/12/2018 04:51 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

#3 - 01/07/2019 02:30 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

this works fine and is already used in taxeditor
